#include "stm32f10x.h"
#include "init_periph.h"


uint16_t i;

void delay_ms(uint32_t ms);

int main()
{
  DBGMCU_Config  (DBGMCU_TIM1_STOP,ENABLE); 
  

  
  
  init_all_periph();
  disable_laser();
  
  delay_ms(100);
  

  
  while(1)
  {
    if ((SPEED_PORT->IDR & SPEED_PIN) != 0) {switch_led(0); GPIOA->ODR&= ~GPIO_Pin_9;} else {switch_led(1);GPIOA->ODR|= GPIO_Pin_9;} 
  }
  
  return 0;
}



void delay_ms(uint32_t ms)
{
        volatile uint32_t nCount;
        RCC_ClocksTypeDef RCC_Clocks;
        RCC_GetClocksFreq (&RCC_Clocks);
        nCount=(RCC_Clocks.HCLK_Frequency/10000)*ms;
        for (; nCount!=0; nCount--);
}
