//   (08.2013) by ILIASAM

#include "stm32f10x.h"
#include "init_periph.h"
#include "laser.h"
#include "uart_handler.h"


uint16_t i;

void delay_ms(uint32_t ms);
void uart_send(void);
void uart1_send_byte(uint8_t c);

volatile uint16_t data_adc_laser0[128];
volatile uint16_t data_adc_off0[128];
volatile uint16_t data_adc_laser1[128];
volatile uint16_t data_adc_off1[128];

// 
volatile uint16_t res_buf0[360];
volatile uint16_t res_buf1[360];
volatile uint8_t  res_buf_num = 0;// ,     





volatile uint16_t* data_adc_laser_p = &data_adc_laser0[0];//    
volatile uint16_t* data_adc_off_p = &data_adc_off0[0];//    

tx_status_type tx_status = DONE;
volatile meas_status_type meas_status = PHASE_WAIT;//  3 
volatile uint16_t cap_number = 0;//  


int main()
{
  DBGMCU_Config  (DBGMCU_TIM1_STOP,ENABLE); 
  
  init_all_periph();   
  delay_ms(100);
  
  switch_led(1);
  
  
  while(1)
  {
    process_handler();
  }
  
  return 0;
}




void delay_ms(uint32_t ms)
{
        volatile uint32_t nCount;
        RCC_ClocksTypeDef RCC_Clocks;
        RCC_GetClocksFreq (&RCC_Clocks);
        nCount=(RCC_Clocks.HCLK_Frequency/10000)*ms;
        for (; nCount!=0; nCount--);
}


void uart1_send_byte(uint8_t c)
{
    USART_SendData(USART1, c);
    while(USART_GetFlagStatus(USART1, USART_FLAG_TXE) == RESET );
}
