#include "stm32f10x.h"

#ifndef _LASER_H
#define _LASER_H

#define ENC_NUM 60     //   
#define ROT_TIME 26666 //  1 (  300)//26666 - 1/3 sec

#define ENC_ROT_TIME ROT_TIME/ENC_NUM  //  1   
#define ENC_DEG (uint16_t)(360/ENC_NUM) //   1   



typedef enum
{
  PHASE_WAIT = 0,
  PHASE_1,
  PHASE_2,
  PHASE_3,
  PHASE_DONE,
}meas_status_type;

void meas_handler(void);
void stop_capture(void);
void stop_capture2(void);
void refresh_sync_timer(uint16_t time);
void switch_adc_buf(void);
void process_handler(void);
uint8_t check_zero_point(uint16_t time);


#endif











