#include "stm32f10x.h"
#include "init_periph.h"
#include "laser.h"
#include "uart_handler.h"

// 
extern uint16_t res_buf0[363];
extern uint16_t res_buf1[363];
volatile extern uint8_t  res_buf_num;// ,     

// DMA    UART
void uart_dma_config(uint16_t* pointer)
{ 
   DMA_Cmd(DMA1_Channel4, DISABLE);
   DMA1_Channel4->CMAR = (uint32_t)pointer;
   DMA1_Channel4->CNDTR = (360 + 3)*2;//16 bit
   DMA_Cmd(DMA1_Channel4, ENABLE);
}

//    
//,     ,   
void start_send_result(void)
{
  //    ,    
  if (res_buf_num == 0)
  {
    res_buf1[0] = (0x5A) + (0xA5 << 8);//HEADER
    res_buf1[1] = (0x00) + (0xC0 << 8);//HEADER
    res_buf1[362] = 0x1234;//END
    //uart_dma_config(&res_buf1[0]);
    uart_dma_config((uint16_t*)res_buf1);
  } 
  else 
  {
    res_buf0[0] = (0x5A) + (0xA5 << 8);//HEADER
    res_buf0[1] = (0x00) + (0xC0 << 8);//HEADER
    res_buf0[362] = 0x1234;//END
    //uart_dma_config(&res_buf0[0]);
    uart_dma_config((uint16_t*)res_buf0);
  }
}

//     
void clear_buffer(void)
{
  uint16_t i;
  if (res_buf_num == 0) 
  {
    for(i=0;i<360;i++){res_buf0[i] = 0;} 
  }
  else
  {
    for(i=0;i<360;i++){res_buf1[i] = 0;} 
  }
}